i2p.susi.util

## Class EscapeHTMLWriter

- java.lang.Object
- - java.io.Writer
  - - java.io.FilterWriter
    - - i2p.susi.util.EscapeHTMLWriter

- All Implemented Interfaces:
    Closeable, Flushable, Appendable, AutoCloseable

      public class EscapeHTMLWriter
      extends FilterWriter

  Writer that escapes HTML characters during streaming. Streaming version of DataHelper.escapeHTML(), also escapes '-' for comment safety since '--' is disallowed inside HTML comments.

- - ### Field Summary

    - ### Fields inherited from class java.io.FilterWriter

      `out`

    - ### Fields inherited from class java.io.Writer

      `lock`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EscapeHTMLWriter(Writer out)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Does nothing.
    `void` | `write(char[] cbuf, int off, int len)`
    `void` | `write(int c)`
    `void` | `write(String str, int off, int len)`

    - ### Methods inherited from class java.io.FilterWriter

      `flush`

    - ### Methods inherited from class java.io.Writer

      `append, append, append, write, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EscapeHTMLWriter

          public EscapeHTMLWriter(Writer out)

  - ### Method Detail

    - #### close

          public void close()

      Does nothing. Does not close the underlying writer.
      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Overrides:
        `close` in class `FilterWriter`

    - #### write

          public void write(char[] cbuf,
                            int off,
                            int len)
                     throws IOException

      Overrides:
        `write` in class `FilterWriter`
      Throws:
        `IOException`

    - #### write

          public void write(int c)
                     throws IOException

      Overrides:
        `write` in class `FilterWriter`
      Throws:
        `IOException`

    - #### write

          public void write(String str,
                            int off,
                            int len)
                     throws IOException

      Overrides:
        `write` in class `FilterWriter`
      Throws:
        `IOException`